Contents

# Not Operator

Negira izraz invertirajući bit vrijednosti.

## Syntax:

    Result = Not Expression

## Parametri:

Result: Any numeric variable that contains the result of the negation.

Expression: Any expression that you want to negate.

Kada se negira Boolean vrijednost, vrijednost True se mijenja u False i obrnuto.

U bitovnoj negaciji svaki pojedini bit se invertira.

## Primjer:

    Sub ExampleNot
    Dim vA As Variant, vB As Variant, vC As Variant, vD As Variant
    Dim vOut As Variant
        vA = 10: vB = 8: vC = 6: vD = Null
        vOut = Not vA REM Returns -11
        vOut = Not(vB > vA) REM Returns -1
        vOut = Not(vB > vA) REM Returns -1
        vOut = Not(vA > vB) REM Returns 0
    End Sub